## gstpbutils gstpbutils — General Application and Plugin Utility Library |

## Functions

void | gst_pb_utils_init ()

## Includes

    #include <gst/pbutils/pbutils.h>

## Description

### Linking to this library

libgstpbutils is a general utility library for plugins and applications. It currently provides the following:

- human-readable description strings of codecs, elements, sources, decoders, encoders, or sinks from decoder/encoder caps, element names, or protocol names.

- support for applications to initiate installation of missing plugins (if this is supported by the distribution or operating system used)

- API for GStreamer elements to create missing-plugin messages in order to communicate to the application that a certain type of plugin is missing (decoder, encoder, URI protocol source, URI protocol sink, named element)

- API for applications to recognise and handle missing-plugin messages

You should obtain the required CFLAGS and LIBS using pkg-config on the gstreamer-plugins-base-0.10 module. You will then also need to add '-lgstpbutils-0.10' manually to your LIBS line.

Before using any of its functions, applications and plugins must call `gst_pb_utils_init()` to initialise the library.

## Functions

### gst_pb_utils_init ()

    void
    gst_pb_utils_init (void);

Initialises the base utils support library. This function is not thread-safe. Applications should call it after calling `gst_init()`, plugins should call it from their plugin_init function.

This function may be called multiple times. It will do nothing if the library has already been initialised.

## Types and Values